# TextLinkTextSource - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources / TextLinkTextSource

# TextLinkTextSource

(common) `class TextLinkTextSource : TextSource` (source)

### Constructors

(common)

#### <init>

`TextLinkTextSource(source: String, url: String)`

### Properties

(common)

#### asHtmlSource

`val asHtmlSource: String`

(common)

#### asMarkdownSource

`val asMarkdownSource: String`

(common)

#### asMarkdownV2Source

`val asMarkdownV2Source: String`

(common)

#### source

`val source: String`

(common)

#### url

`val url: String`